KD SOAP API Documentation: KDSoapMessageAddressingProperties Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
KDSoapMessageAddressingProperties Class Reference

`#include <KDSoapMessageAddressingProperties.h>`

## Public Types
enum | KDSoapAddressingNamespace { Addressing200303 , Addressing200403 , Addressing200408 , Addressing200508 }
enum | KDSoapAddressingPredefinedAddress { None , Anonymous , Reply , Unspecified }

## Public Member Functions
| KDSoapMessageAddressingProperties ()
| KDSoapMessageAddressingProperties (const KDSoapMessageAddressingProperties &other)
| ~KDSoapMessageAddressingProperties ()
QString | action () const
void | addMetadata (const KDSoapValue &metadata)
void | addReferenceParameter (const KDSoapValue &oneReferenceParameter)
void | addRelationship (const KDSoapMessageRelationship::Relationship &relationship)
KDSoapAddressingNamespace | addressingNamespace () const
QString | destination () const
KDSoapEndpointReference | faultEndpoint () const
QString | faultEndpointAddress () const
QString | messageID () const
KDSoapValueList | metadata () const
KDSoapMessageAddressingProperties & | operator= (const KDSoapMessageAddressingProperties &other)
KDSoapValueList | referenceParameters () const
QVector< KDSoapMessageRelationship::Relationship > | relationships () const
KDSoapEndpointReference | replyEndpoint () const
QString | replyEndpointAddress () const
void | setAction (const QString &action)
void | setAddressingNamespace (KDSoapAddressingNamespace addressingNamespace)
void | setDestination (const QString &destination)
void | setFaultEndpoint (const KDSoapEndpointReference &faultEndpoint)
void | setFaultEndpointAddress (const QString &faultEndpoint)
void | setMessageID (const QString &id)
void | setMetadata (const KDSoapValueList &metadataList)
void | setReferenceParameters (const KDSoapValueList &values)
void | setRelationships (const QVector< KDSoapMessageRelationship::Relationship > &relationships)
void | setReplyEndpoint (const KDSoapEndpointReference &replyEndpoint)
void | setReplyEndpointAddress (const QString &replyEndpoint)
void | setSourceEndpoint (const KDSoapEndpointReference &sourceEndpoint)
void | setSourceEndpointAddress (const QString &sourceEndpoint)
KDSoapEndpointReference | sourceEndpoint () const
QString | sourceEndpointAddress () const

## Static Public Member Functions
static QString | addressingNamespaceToString (KDSoapAddressingNamespace addressingNamespace)
static bool | isWSAddressingNamespace (const QString &namespaceUri)
static QString | predefinedAddressToString (KDSoapAddressingPredefinedAddress address, KDSoapAddressingNamespace addressingNamespace=Addressing200508)

## Detailed Description

The KDSoapMessageAddressingProperties class is the abstraction of the WS-Addressing specification. This specification sets up information within the soap envelope header. This class is meant to be filled with the data you want to have in the soap header and associate to a given message using

See also
  KDSoapMessage::setMessageAddressingProperties
  https://www.w3.org/TR/ws-addr-core/#abstractmaps Important: This class does not ensure any kind of validation to the data being passed to it

Since
  1.5

Definition at line 75 of file KDSoapMessageAddressingProperties.h.

## Member Enumeration Documentation

## ◆ KDSoapAddressingNamespace

enum KDSoapMessageAddressingProperties::KDSoapAddressingNamespace

This enum contains all the namespaces that can be used to send out WS-Addressing messages. This allows the application to select the WS-Addressing revision to be used.

Since
  1.9

See also
  setAddressingNamespace

Enumerator
Addressing200303 |
Addressing200403 |
Addressing200408 |
Addressing200508 |

Definition at line 100 of file KDSoapMessageAddressingProperties.h.

## ◆ KDSoapAddressingPredefinedAddress

enum KDSoapMessageAddressingProperties::KDSoapAddressingPredefinedAddress

This enum contains all the predefined addresses defined by the ws addressing specification It is meant to be used with the predefinedAddress helper function to retrieve the uri as a QString

See also
  predefinedAddressToString

Enumerator
None |
Anonymous |
Reply |
Unspecified |

Definition at line 86 of file KDSoapMessageAddressingProperties.h.

## Constructor & Destructor Documentation

## ◆ KDSoapMessageAddressingProperties() [1/2]

KDSoapMessageAddressingProperties::KDSoapMessageAddressingProperties | ( |  | ) |

Constructs an empty KDSoapMessageAddressingProperties object.

Definition at line 38 of file KDSoapMessageAddressingProperties.cpp.

## ◆ ~KDSoapMessageAddressingProperties()

KDSoapMessageAddressingProperties::~KDSoapMessageAddressingProperties | ( |  | ) |

Destructs the KDSoapMessageAddressingProperties object.

Definition at line 203 of file KDSoapMessageAddressingProperties.cpp.

## ◆ KDSoapMessageAddressingProperties() [2/2]

KDSoapMessageAddressingProperties::KDSoapMessageAddressingProperties | ( | const KDSoapMessageAddressingProperties & | other | ) |

Constructs a copy of the KDSoapMessageAddressingProperties object given by `other`.

Definition at line 43 of file KDSoapMessageAddressingProperties.cpp.

## Member Function Documentation

## ◆ action()

QString KDSoapMessageAddressingProperties::action | ( |  | ) | const

Returns the action uri, which is the semantic of the message

Definition at line 64 of file KDSoapMessageAddressingProperties.cpp.

Referenced by operator<<(), KDSoapClientInterfacePrivate::prepareRequestBuffer(), and setAction().

## ◆ addMetadata()

void KDSoapMessageAddressingProperties::addMetadata | ( | const KDSoapValue & | metadata | ) |

Add one metadata, if not null, to the list of metadata that will appear within soap header

Definition at line 186 of file KDSoapMessageAddressingProperties.cpp.

References metadata().

## ◆ addReferenceParameter()

void KDSoapMessageAddressingProperties::addReferenceParameter | ( | const KDSoapValue & | oneReferenceParameter | ) |

Add a reference parameter, if not null, to the referenceParameters list

Definition at line 169 of file KDSoapMessageAddressingProperties.cpp.

References KDSoapValue::isNull().

## ◆ addRelationship()

void KDSoapMessageAddressingProperties::addRelationship | ( | const KDSoapMessageRelationship::Relationship & | relationship | ) |

Convenient method to add a single Relationship to the message

See also
  Relationship

Definition at line 154 of file KDSoapMessageAddressingProperties.cpp.

## ◆ addressingNamespace()

KDSoapMessageAddressingProperties::KDSoapAddressingNamespace KDSoapMessageAddressingProperties::addressingNamespace | ( |  | ) | const

Returns the selected WS-Addressing namespace

Since
  1.9

Definition at line 193 of file KDSoapMessageAddressingProperties.cpp.

Referenced by addressingNamespaceToString(), KDSoapMessageWriter::messageToXml(), predefinedAddressToString(), and setAddressingNamespace().

## ◆ addressingNamespaceToString()

QString KDSoapMessageAddressingProperties::addressingNamespaceToString | ( | KDSoapAddressingNamespace | addressingNamespace | ) |
| static

Helper function that takes the `addressingNamespace` enum to provide the QString equivalent

Since
  1.9

Definition at line 254 of file KDSoapMessageAddressingProperties.cpp.

References Addressing200303, Addressing200403, Addressing200408, Addressing200508, addressingNamespace(), KDSoapNamespaceManager::soapMessageAddressing(), KDSoapNamespaceManager::soapMessageAddressing200303(), KDSoapNamespaceManager::soapMessageAddressing200403(), and KDSoapNamespaceManager::soapMessageAddressing200408().

Referenced by predefinedAddressToString(), and KDSoapNamespacePrefixes::writeStandardNamespaces().

## ◆ destination()

QString KDSoapMessageAddressingProperties::destination | ( |  | ) | const

Returns the destination address, it should match the EndpointReference given from WSDL

Definition at line 54 of file KDSoapMessageAddressingProperties.cpp.

Referenced by operator<<(), and setDestination().

## ◆ faultEndpoint()

KDSoapEndpointReference KDSoapMessageAddressingProperties::faultEndpoint | ( |  | ) | const

Returns the fault endpoint, which contains the address the server should send the potential fault error

Definition at line 114 of file KDSoapMessageAddressingProperties.cpp.

Referenced by operator<<(), setFaultEndpoint(), and setFaultEndpointAddress().

## ◆ faultEndpointAddress()

QString KDSoapMessageAddressingProperties::faultEndpointAddress | ( |  | ) | const

Convenient method that returns the fault endpoint address, which is the address the server should send the potential fault error

Definition at line 119 of file KDSoapMessageAddressingProperties.cpp.

## ◆ isWSAddressingNamespace()

bool KDSoapMessageAddressingProperties::isWSAddressingNamespace | ( | const QString & | namespaceUri | ) |
| static

Helper function that compares `namespaceUri` with the known WS-Addressing namespaces

Definition at line 247 of file KDSoapMessageAddressingProperties.cpp.

References KDSoapNamespaceManager::soapMessageAddressing(), KDSoapNamespaceManager::soapMessageAddressing200303(), KDSoapNamespaceManager::soapMessageAddressing200403(), and KDSoapNamespaceManager::soapMessageAddressing200408().

Referenced by KDSoapMessageReader::xmlToMessage().

## ◆ messageID()

QString KDSoapMessageAddressingProperties::messageID | ( |  | ) | const

Returns the message id

Definition at line 134 of file KDSoapMessageAddressingProperties.cpp.

Referenced by operator<<().

## ◆ metadata()

KDSoapValueList KDSoapMessageAddressingProperties::metadata | ( |  | ) | const

Returns the metadata of the KDSoapMessageProperties

Definition at line 176 of file KDSoapMessageAddressingProperties.cpp.

Referenced by addMetadata().

## ◆ operator=()

KDSoapMessageAddressingProperties & KDSoapMessageAddressingProperties::operator= | ( | const KDSoapMessageAddressingProperties & | other | ) |

Copies the contents of the object given by `other`.

Definition at line 48 of file KDSoapMessageAddressingProperties.cpp.

## ◆ predefinedAddressToString()

QString KDSoapMessageAddressingProperties::predefinedAddressToString | ( | KDSoapMessageAddressingProperties::KDSoapAddressingPredefinedAddress | address,
|  | KDSoapAddressingNamespace | addressingNamespace = `Addressing200508`
| ) |  |
| static

Helper function that takes the `address` enum and `addressingNamespace` to provide the QString equivalent

Definition at line 207 of file KDSoapMessageAddressingProperties.cpp.

References Addressing200303, Addressing200403, Addressing200408, addressingNamespace(), addressingNamespaceToString(), Anonymous, None, Reply, and Unspecified.

## ◆ referenceParameters()

KDSoapValueList KDSoapMessageAddressingProperties::referenceParameters | ( |  | ) | const

Returns the custom reference parameters objects as a KDSoapValueList

Definition at line 159 of file KDSoapMessageAddressingProperties.cpp.

## ◆ relationships()

QVector< KDSoapMessageRelationship::Relationship > KDSoapMessageAddressingProperties::relationships | ( |  | ) | const

Return the relationship of the KDSoapMessageAddressingProperties

See also
  Relationship

Definition at line 144 of file KDSoapMessageAddressingProperties.cpp.

Referenced by setRelationships().

## ◆ replyEndpoint()

KDSoapEndpointReference KDSoapMessageAddressingProperties::replyEndpoint | ( |  | ) | const

Returns the reply endpoint

See also
  KDSoapAddressingPredefinedAddress enum

Definition at line 94 of file KDSoapMessageAddressingProperties.cpp.

Referenced by operator<<(), setReplyEndpoint(), and setReplyEndpointAddress().

## ◆ replyEndpointAddress()

QString KDSoapMessageAddressingProperties::replyEndpointAddress | ( |  | ) | const

Convenient method, returns the sender endpoint address

Definition at line 99 of file KDSoapMessageAddressingProperties.cpp.

## ◆ setAction()

void KDSoapMessageAddressingProperties::setAction | ( | const QString & | action | ) |

Sets the targeted action of the soap message

Definition at line 69 of file KDSoapMessageAddressingProperties.cpp.

References action().

Referenced by KDSoapClientInterfacePrivate::prepareRequestBuffer().

## ◆ setAddressingNamespace()

void KDSoapMessageAddressingProperties::setAddressingNamespace | ( | KDSoapMessageAddressingProperties::KDSoapAddressingNamespace | addressingNamespace | ) |

Sets the WS-Addressing namespace to be used for sending out messages.This allows the application to select the WS-Addressing revision to be used.

Since
  1.9

See also
  KDSoapAddressingNamespace

Definition at line 198 of file KDSoapMessageAddressingProperties.cpp.

References addressingNamespace().

## ◆ setDestination()

void KDSoapMessageAddressingProperties::setDestination | ( | const QString & | destination | ) |

Sets the destination address, where the message will be sent to

Definition at line 59 of file KDSoapMessageAddressingProperties.cpp.

References destination().

## ◆ setFaultEndpoint()

void KDSoapMessageAddressingProperties::setFaultEndpoint | ( | const KDSoapEndpointReference & | faultEndpoint | ) |

Set the fault endpoint of the message

See also
  KDSoapEndpointReference

Definition at line 124 of file KDSoapMessageAddressingProperties.cpp.

References faultEndpoint().

## ◆ setFaultEndpointAddress()

void KDSoapMessageAddressingProperties::setFaultEndpointAddress | ( | const QString & | faultEndpoint | ) |

Convenient method to set directly the fault endpoint address of the message

Definition at line 129 of file KDSoapMessageAddressingProperties.cpp.

References faultEndpoint().

## ◆ setMessageID()

void KDSoapMessageAddressingProperties::setMessageID | ( | const QString & | id | ) |

Set the message id

Definition at line 139 of file KDSoapMessageAddressingProperties.cpp.

## ◆ setMetadata()

void KDSoapMessageAddressingProperties::setMetadata | ( | const KDSoapValueList & | metadataList | ) |

Set the metadata field, can be a multi level KDSoapValueList

Definition at line 181 of file KDSoapMessageAddressingProperties.cpp.

## ◆ setReferenceParameters()

void KDSoapMessageAddressingProperties::setReferenceParameters | ( | const KDSoapValueList & | values | ) |

Set the reference parameters list, since this value can be anything custom, it uses a KDSoapValueList

Definition at line 164 of file KDSoapMessageAddressingProperties.cpp.

## ◆ setRelationships()

void KDSoapMessageAddressingProperties::setRelationships | ( | const QVector< KDSoapMessageRelationship::Relationship > & | relationships | ) |

Set the relationships of the message, parameter is a QVector of Relationship, the class Relationship carry the relationship type and the message ID of the related message

See also
  Relationship

Definition at line 149 of file KDSoapMessageAddressingProperties.cpp.

References relationships().

## ◆ setReplyEndpoint()

void KDSoapMessageAddressingProperties::setReplyEndpoint | ( | const KDSoapEndpointReference & | replyEndpoint | ) |

Sets the reply endpoint the server should reply to

See also
  KDSoapEndpointReference

Definition at line 104 of file KDSoapMessageAddressingProperties.cpp.

References replyEndpoint().

## ◆ setReplyEndpointAddress()

void KDSoapMessageAddressingProperties::setReplyEndpointAddress | ( | const QString & | replyEndpoint | ) |

Convenient method to set directly the reply endpoint address the server should reply to

Definition at line 109 of file KDSoapMessageAddressingProperties.cpp.

References replyEndpoint().

## ◆ setSourceEndpoint()

void KDSoapMessageAddressingProperties::setSourceEndpoint | ( | const KDSoapEndpointReference & | sourceEndpoint | ) |

Sets the message sender endpoint

See also
  KDSoapEndpointReference

Definition at line 84 of file KDSoapMessageAddressingProperties.cpp.

References sourceEndpoint().

## ◆ setSourceEndpointAddress()

void KDSoapMessageAddressingProperties::setSourceEndpointAddress | ( | const QString & | sourceEndpoint | ) |

Convenient method, sets the message sender address

Definition at line 89 of file KDSoapMessageAddressingProperties.cpp.

References sourceEndpoint().

## ◆ sourceEndpoint()

KDSoapEndpointReference KDSoapMessageAddressingProperties::sourceEndpoint | ( |  | ) | const

Returns the message sender endpoint

See also
  KDSoapEndpointReference

Definition at line 74 of file KDSoapMessageAddressingProperties.cpp.

Referenced by operator<<(), setSourceEndpoint(), and setSourceEndpointAddress().

## ◆ sourceEndpointAddress()

QString KDSoapMessageAddressingProperties::sourceEndpointAddress | ( |  | ) | const

Convenient method, returns directly the source endpoint address

See also
  KDSoapAddressingPredefinedAddress enum

Definition at line 79 of file KDSoapMessageAddressingProperties.cpp.

The documentation for this class was generated from the following files:

- KDSoapMessageAddressingProperties.h
- KDSoapMessageAddressingProperties.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8